Subject: Re: [VCARDDAV] Status of text/directory

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 10 Sep 2010 19:05:34 -0600

On 8/28/10 10:52 AM, Bjoern Hoehrmann wrote:
> Hi,
> 
>   http://tools.ietf.org/html/draft-ietf-vcarddav-vcardrev-13 notes in
> the registration of "text/vcard"
> 
>   In addition, the following media types are known to have been used
>   to refer to vCard data.  They should be considered deprecated in
>   favor of text/vcard.
> 
>     * text/directory
>     * text/directory; profile=vcard
>     * text/x-vcard
> 
> and later in the document
> 
>   [RFC2425] and [RFC2426] have been merged.  Initially [RFC2425]
>   was intended to be extensible but only 2426 ever extended it.
> 
> and upfront
> 
>   Obsoletes: 2425, 2426, 4770
> 
> I am unsure where that leaves RFC 2927 and whether this is meant to
> mark text/directory for all purposes as an obsolete type. If it is
> meant to mark the type obsolete, this should be done in a separate
> sub-section of the IANA considerations section (e.g., by including
> the registration template and set the Intended Usage field to OBSO-
> LETE, or at least by specifically instructing IANA to mark the type
> as obsolete in the type registry and update the references).

It would be strange for draft-ietf-vcarddav-vcardrev to deprecate the
text/directory media type in general and therefore obsolete RFC 2927, so
I think the I-D is correct here. Do you think that a clarifying note is
needed?

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Bjoern Hoehrmann <[email-masked]>
Date: Sat, 11 Sep 2010 03:22:56 +0200

>I think the I-D is correct here. Do you think that a clarifying note is

The draft notes "Initially [RFC2425] was intended to be extensible but
only 2426 ever extended it." This seems to be incorrect given RFC 2927.
The draft notes "[RFC2425] and [RFC2426] have been merged." which also
seems incorrect as much of the RFC 2425 content is not present in the
vcardrev draft. With this it seems incorrect for the draft to obsolete
RFC 2425. (But then I only looked at this very briefly, perhaps there
is something that I've missed).

As for the note in the media type registration, replacing "considered
deprecated" by "considered deprecated (for vCard data)" would address
my concern there.
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 10 Sep 2010 19:44:07 -0600

> is something that I've missed).

I'll let the document editors speak to that.

> deprecated" by "considered deprecated (for vCard data)" would address

Agreed.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Simon Perreault <[email-masked]>
Date: Mon, 13 Sep 2010 08:40:53 -0400

> is something that I've missed).

Well, it was merged *and* a lot of cruft was removed. More from 2425
than from 2426. Among others, the core syntax is retained.

Agreed.

Simon
-- 
NAT64/DNS64 open-source --> http://ecdysis.viagenie.ca
STUN/TURN server        --> http://numb.viagenie.ca
vCard 4.0               --> http://www.vcarddav.org